/*IF useRemoved*/
(
    SELECT *
    FROM users    AS a
         statuses AS b
    WHERE a.userId      = b.senderId AND
          a.protect     = false AND
          b.sentTime    >= /*sinceTime*/0
    ORDER BY b.sentTime ASC
) UNION ALL (
    SELECT *
    FROM users    AS a
         statuses AS b
    WHERE a.userId      = b.senderId AND
          a.protect     = false AND
          b.removedTime >= /*sinceTime*/0
    ORDER BY b.removedTime ASC
)
--ELSE
SELECT *
FROM users    AS a
     statuses AS b
WHERE a.userId      = b.senderId AND
      a.protect     = false AND
      b.sentTime    >= /*sinceTime*/0 AND
      b.removedTime = 0
/*END*/
ORDER BY b.sentTime ASC
LIMIT 0, /*limit*/1
